slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetTolerances

Sets the tolerance and maximum iteration count used by the default SVD convergence testers.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetTolerances(SVD svd,PetscReal tol,PetscInt maxits)

Logically Collective

### Input Parameters

| svd | - the singular value solver context
| tol | - the convergence tolerance
| maxits | - maximum number of iterations to use

### Options Database Keys

| -svd_tol <tol> | - Sets the convergence tolerance
| -svd_max_it <maxits> | - Sets the maximum number of iterations allowed

### Note

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

SVDGetTolerances()

### Level

intermediate

### Location

src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages